import QtQuick
import QtLocation
import QtPositioning
import QtQuick.Controls
import QtLocation 5.15
import QtPositioning 5.15
Window {
    id: root
    visible: true
    width: 640
    height: 480
    title: qsTr("My Qt Location")

    Map {
        id: the_map
        anchors.fill: parent
        minimumZoomLevel: 3
        maximumZoomLevel: 16
        zoomLevel: 10
        center: QtPositioning.coordinate(30.67, 104.06)

        plugin: Plugin {
            name: "mymap" //"esri" "mapbox" "osm" "here"

            // 使用parameters属性来设置插件参数
            parameters: [
                PluginParameter {
                    name: "mapPath"
                    value: applicationDirPath+"/dianzi_gaode_ArcgisServerTiles/_alllayers"
                },
                PluginParameter {
                    name: "format"
                    value: "png"
                }
            ]
        }
    }
}
